> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-baton-kubernetes.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search All Automation Executions

> Search across all automation executions in the tenant, with filters for state, template, app, and subject user.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/search/all_automation_executions
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/search/all_automation_executions:
    post:
      tags:
        - Automations
      summary: Search All Automation Executions
      description: >-
        Search across all automation executions in the tenant, with filters for
        state, template, app, and subject user.
      operationId: >-
        c1.api.automations.v1.AutomationExecutionSearchService.SearchAllAutomationExecutions
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.automations.v1.SearchAllAutomationExecutionsRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.automations.v1.SearchAllAutomationExecutionsResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: SearchAllAutomationExecutions
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AutomationExecutionSearch.SearchAllAutomationExecutions(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SearchAllAutomationExecutionsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.automationExecutionSearch.searchAllAutomationExecutions();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.automations.v1.SearchAllAutomationExecutionsRequest:
      description: The SearchAllAutomationExecutionsRequest message.
      properties:
        appIds:
          description: Filter to executions associated with one or more apps.
          items:
            type: string
          type:
            - array
            - 'null'
        automationTemplateIds:
          description: Filter to one or more specific automation templates.
          items:
            type: string
          type:
            - array
            - 'null'
        executionStates:
          description: Filter by execution state (e.g. DONE, ERROR).
          items:
            enum:
              - AUTOMATION_EXECUTION_STATE_UNSPECIFIED
              - AUTOMATION_EXECUTION_STATE_PENDING
              - AUTOMATION_EXECUTION_STATE_CREATING
              - AUTOMATION_EXECUTION_STATE_GET_STEP
              - AUTOMATION_EXECUTION_STATE_PROCESS_STEP
              - AUTOMATION_EXECUTION_STATE_COMPLETE_STEP
              - AUTOMATION_EXECUTION_STATE_DONE
              - AUTOMATION_EXECUTION_STATE_ERROR
              - AUTOMATION_EXECUTION_STATE_TERMINATE
              - AUTOMATION_EXECUTION_STATE_WAITING
              - AUTOMATION_EXECUTION_STATE_PAUSED_BY_CIRCUIT_BREAKER
            type: string
            x-speakeasy-unknown-values: allow
          type:
            - array
            - 'null'
        expandMask:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.AutomationExecutionExpandMask
            - type: 'null'
        pageSize:
          description: Maximum number of results to return per page.
          format: int32
          type:
            - integer
            - 'null'
        pageToken:
          description: >-
            Pagination token from a previous
            SearchAllAutomationExecutionsResponse.
          type:
            - string
            - 'null'
        subjectUserIds:
          description: Filter to executions where one or more C1 users are subjects.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Search All Automation Executions Request
      type: object
      x-speakeasy-name-override: SearchAllAutomationExecutionsRequest
    c1.api.automations.v1.SearchAllAutomationExecutionsResponse:
      description: The SearchAllAutomationExecutionsResponse message.
      properties:
        expanded:
          description: Related objects requested via the expand mask.
          items:
            additionalProperties: true
            description: >-
              Contains an arbitrary serialized message along with a @type that
              describes the type of the serialized message.
            properties:
              '@type':
                description: The type of the serialized message.
                type: string
            type: object
          type:
            - array
            - 'null'
        list:
          description: The page of execution views matching the search criteria.
          items:
            $ref: '#/components/schemas/c1.api.automations.v1.AutomationExecutionView'
          type:
            - array
            - 'null'
        nextPageToken:
          description: >-
            Token to retrieve the next page of results, empty when no more
            results exist.
          type:
            - string
            - 'null'
      title: Search All Automation Executions Response
      type: object
      x-speakeasy-name-override: SearchAllAutomationExecutionsResponse
    c1.api.automations.v1.AutomationExecutionExpandMask:
      description: The AutomationExecutionExpandMask message.
      properties:
        paths:
          description: The paths field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Automation Execution Expand Mask
      type: object
      x-speakeasy-name-override: AutomationExecutionExpandMask
    c1.api.automations.v1.AutomationExecutionView:
      description: The AutomationExecutionView message.
      properties:
        automationExecution:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.AutomationExecution'
            - type: 'null'
        automationExecutionTriggerPath:
          description: The automationExecutionTriggerPath field.
          type:
            - string
            - 'null'
        automationPath:
          description: The automationPath field.
          type:
            - string
            - 'null'
      title: Automation Execution View
      type: object
      x-speakeasy-name-override: AutomationExecutionView
    c1.api.automations.v1.AutomationExecution:
      description: The AutomationExecution message.
      properties:
        automationTemplateId:
          description: The automationTemplateId field.
          type:
            - string
            - 'null'
        completedAt:
          format: date-time
          type:
            - string
            - 'null'
        context:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.AutomationContext'
            - type: 'null'
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        currentVersion:
          description: The currentVersion field.
          format: int32
          type:
            - integer
            - 'null'
        deletedAt:
          format: date-time
          type:
            - string
            - 'null'
        duration:
          format: duration
          type:
            - string
            - 'null'
        id:
          description: The id field.
          format: int64
          type:
            - string
            - 'null'
        isDraft:
          description: The isDraft field.
          type:
            - boolean
            - 'null'
        state:
          description: The state field.
          enum:
            - AUTOMATION_EXECUTION_STATE_UNSPECIFIED
            - AUTOMATION_EXECUTION_STATE_PENDING
            - AUTOMATION_EXECUTION_STATE_CREATING
            - AUTOMATION_EXECUTION_STATE_GET_STEP
            - AUTOMATION_EXECUTION_STATE_PROCESS_STEP
            - AUTOMATION_EXECUTION_STATE_COMPLETE_STEP
            - AUTOMATION_EXECUTION_STATE_DONE
            - AUTOMATION_EXECUTION_STATE_ERROR
            - AUTOMATION_EXECUTION_STATE_TERMINATE
            - AUTOMATION_EXECUTION_STATE_WAITING
            - AUTOMATION_EXECUTION_STATE_PAUSED_BY_CIRCUIT_BREAKER
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Automation Execution
      type: object
      x-speakeasy-name-override: AutomationExecution
    c1.api.automations.v1.AutomationContext:
      description: The AutomationContext message.
      properties:
        context:
          additionalProperties: true
          type:
            - object
            - 'null'
      title: Automation Context
      type: object
      x-speakeasy-name-override: AutomationContext
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````